Subject: Re: [PATCH net 1/2] gianfar: Fix TX timestamping with stacked (DSA and PHY) drivers

From: Richard Cochran <[email-masked]>
Date: Fri, 27 Dec 2019 10:00:11 -0800

On Fri, Dec 27, 2019 at 02:44:34AM +0200, Vladimir Oltean wrote:

> But a stacked driver such as a DSA switch or a PTP-capable PHY can
> also set SKBTX_IN_PROGRESS, which is actually exactly what it should do
> in order to denote that the hardware timestamping process is undergoing.

Please remove the text about the PHY.  This driver does not call
skb_tx_timestamp(), and so it isn't possible for a PHY driver to set
the flag.
 
> There have been discussions [0] as to whether non-MAC drivers need or not to
> set SKBTX_IN_PROGRESS at all (whose purpose is to avoid sending 2
> timestamps, a sw and a hw one, to applications which only expect one).
> But as of this patch, there are at least 2 PTP drivers that would break
> in conjunction with gianfar: the sja1105 DSA switch and the TI PHYTER
> (dp83640).

Again, please drop the bit about the phyter.  It is a non-issue here.
The clash with the DSA layer is reason enough for this patch.

> Fixes: f0ee7acfcdd4 ("gianfar: Add hardware TX timestamping support")
> Signed-off-by: Vladimir Oltean <[email-masked]>

Acked-by: Richard Cochran <[email-masked]>